<?php  defined('C5_EXECUTE') or die('Access Denied.');
/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2015 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */

# IMAGE_UP_ON     thumbs4/on/thumbup-full-left.png	    thumbs4/on/thumbup-empty-left.png
# IMAGE_UP_OFF    thumbs4/off/thumbup-full-left.png	    thumbs4/off/thumbup-empty-left.png
# IMAGE_DOWN_ON   thumbs4/on/thumbdn-full-right.png	    thumbs4/on/thumbdn-empty-right.png
# IMAGE_DOWN_OFF  thumbs4/off/thumbdn-full-right.png	thumbs4/off/thumbdn-empty-right.png


$link = $redirectLink ? $redirectLink : 'javascript:void(0)';
$hasLink = $canVote || $redirectLink;

?>
<div class="gnt_vote_list_bothSides" id="ballotBox_<?php echo $bID?>">

	<div class="upVotes">
	<?php  if($hasLink){?><a 
	href="<?php echo $link?>"
	<?php echo $redirectLink?'':"onclick=\"GntBallotBox.vote(1,$bID,$targetCID);return false;\""?>
	><?php  }?><img class="upVotes" src="<?php echo $imageUp?>"/><?php  if($hasLink){?></a><?php  }?>
	<span class="upVotes"><?php echo $upVotes?></span> 
	</div>


	<div class="downVotes">
	<span class="downVotes"><?php echo $downVotes?></span> 
	<?php  if ($hasLink){?><a 
	href="<?php echo $link?>" 
	<?php echo $redirectLink?'':"onclick=\"GntBallotBox.vote(-1,$bID,$targetCID);return false;\""?>
	><?php  }?><img class="downVotes" src="<?php echo $imageDown?>"/><?php  if($hasLink){?></a><?php  }?>
	</div>

	<div class="comment"><?php echo $boxComment?></div>
	<div style="clear:both"></div>


<style type="text/css">
.gnt_vote_list_bothSides
{
    font-size: 20px;
    background-color: #eee;
	padding: 20px;
	border-radius:12px;
	-webkit-border-radius:12px;
	-moz-border-radius:12px;
	text-align:center;
	margin-top: 10px;
	margin-bottom: 10px;
}

.gnt_vote_list_bothSides img 
{
    vertical-align: middle;
}

.gnt_vote_list_bothSides div.upVotes { float: left }
.gnt_vote_list_bothSides div.downVotes { float: right }
.gnt_vote_list_bothSides img.upVotes { margin-right: 10px } 
.gnt_vote_list_bothSides span { display: inline-block;}
.gnt_vote_list_bothSides span.downVotes
{
	margin-right: 10px;
}

</style>

</div>

<?php  if ( $canVote ) { ?>
<script type="text/javascript">
	$(function(){
		if ('undefined' == typeof (GntBallotBox)) return;
		var imagesArray = <?php echo json_encode($images)?>;
		GntBallotBox.registerWidget(
			<?php echo $bID?>, 
			new BallotBoxWidget("ballotBox_<?php echo $bID?>",imagesArray),
			"<?php echo $akHandle?>", "<?php echo html_entity_decode( $this->action('json_vote') ) ?>", <?php echo $targetCID?>
		);
		
	});
</script>
<?php 
}
// vim: set expandtab cindent ts=4 smarttab ai:
