<?php  defined('C5_EXECUTE') or die('Access Denied.');
/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2015 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */
# IMAGE_UP_ON     thumbs/on/thumbup-full-right.png	thumbs/on/thumbup-empty-right.png
# IMAGE_UP_OFF    thumbs/off/thumbup-full-right.png	thumbs/off/thumbup-empty-right.png
# IMAGE_DOWN_ON   thumbs/on/thumbdn-full-right.png	thumbs/on/thumbdn-empty-right.png
# IMAGE_DOWN_OFF  thumbs/off/thumbdn-full-right.png	thumbs/off/thumbdn-empty-right.png

// WARNING: WE ARE RUNNING IN THE CONTROLLER SCOPE

$metID = "${bID}_$targetCID";
$divID = "ballotBoxList_$metID";

$link = $redirectLink ? $redirectLink : 'javascript:void(0)';
$hasLink = $canVote || $redirectLink;

?>
<div class="gnt_vote_list_voteWidget" id="<?php echo $divID?>">

	<span class="votes">
		<span class="upVotes"><?php echo $upVotes?></span>
		<?php  if($hasLink){?><a 
		href="<?php echo $link?>"
		<?php echo $redirectLink?'':"onclick=\"GntBallotBox.vote(1,'$metID',$targetCID);return false;\""?>
		><?php  }?><img class="upVotes" src="<?php echo $imageUp?>"/><?php  if($hasLink){?></a><?php  }?>

		<span class="downVotes"><?php echo $downVotes?></span>
		<?php  if ($hasLink){?><a 
		href="<?php echo $link?>" 
		<?php echo $redirectLink?'':"onclick=\"GntBallotBox.vote(-1,'$metID',$targetCID);return false;\""?>
		><?php  }?><img class="downVotes" src="<?php echo $imageDown?>"/><?php  if($hasLink){?></a><?php  }?>
	</span>

</div>

<?php  if ( $canVote ) { ?>
<script type="text/javascript">
	$(function(){
		if ( 'undefined' == typeof(GntBallotBox)) return;
		var imageArray = <?php echo json_encode( $images ) ?>;
		GntBallotBox.registerWidget (
			"<?php echo $metID ?>", 
			new BallotBoxWidget("<?php echo $divID?>", imageArray ),
			"<?php echo $akHandle?>", "<?php echo html_entity_decode( $jsONVote ) ?>", <?php echo $targetCID?>
		);
	});
</script>

<?php 
}
// vim: set expandtab cindent ts=4 smarttab ai:
