<?php 
/**
 *-----------------------------------------------------------------------------*
 *                                                                             *
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2015 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */
namespace Concrete\Package\GntVoteList\Controller\SinglePage\Dashboard\GntVoteList;

defined('C5_EXECUTE') or die(_("Access Denied."));

use Package;
use Concrete\Core\Page\Controller\DashboardPageController;

class Settings extends DashboardPageController
{

    public function view()
    {
        $pkg = Package::getByHandle('gnt_vote_list');
        $this->set('maxList', $pkg->getMaxPageLists());
    }

    public function updated()
    {
        $this->set('success', t('Configuration updated'));
        $this->view();
    }

    public function save_global_settings()
    {
        $pkg = Package::getByHandle('gnt_vote_list');
        $pkg->setMaxPageLists(intval($this->post('maxList')));

        $this->redirect('/dashboard/gnv_vote_list/settings/updated');
    }
}
// vim: set expandtab cindent ts=4 smarttab ai:

