<?php  defined('C5_EXECUTE') or die('Access Denied.');
/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2015 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */

# Default image detection : DO NOT DELETE THIS COMMENT!
# IMAGE_UP_ON     thumbs/on/thumbup-full-left.png	thumbs/on/thumbup-empty-left.png
# IMAGE_UP_OFF    thumbs/off/thumbup-full-left.png	thumbs/off/thumbup-empty-left.png
# IMAGE_DOWN_ON   thumbs/on/thumbdn-full-left.png	thumbs/on/thumbdn-empty-left.png
# IMAGE_DOWN_OFF  thumbs/off/thumbdn-full-left.png	thumbs/off/thumbdn-empty-left.png

$link = $redirectLink ? $redirectLink : 'javascript:void(0)';
$hasLink = $canVote || $redirectLink;
?>

<div class="gnt_vote_list_prb" id="ballotBox_<?php echo $bID?>">

	<div class="comment"><?php echo $boxComment?></div>

	<div class="votes">

	<?php  if($hasLink){?><a 
	href="<?php echo $link?>"
	<?php echo $redirectLink?'':"onclick=\"GntBallotBox.vote(1,$bID,$targetCID);return false;\""?>
	><?php  }?><img class="upVotes" src="<?php echo $imageUp?>"/><?php  if($hasLink){?></a><?php  }?>
	<span class="upVotes"><?php echo $upVotes?></span>

	<?php  if ($hasLink){?><a 
	href="<?php echo $link?>" 
	<?php echo $redirectLink?'':"onclick=\"GntBallotBox.vote(-1,$bID,$targetCID);return false;\""?>
	><?php  }?><img class="downVotes" src="<?php echo $imageDown?>"/><?php  if($hasLink){?></a><?php  }?>
	<span class="downVotes"><?php echo $downVotes?></span>

	</div>
	<div style="clear:both;"></div>


<style>
.gnt_vote_list_prb
{
    font-size: 20px;
    background-color: #ffe773;
	padding: 20px;
	border-radius:12px;
	-webkit-border-radius:12px;
	-moz-border-radius:12px;
	margin-top: 10px;
	margin-bottom: 10px;
}

.gnt_vote_list_prb .comment
{
    display: inline-block;
	float: left;
}

.gnt_vote_list_prb .votes
{
	float: right;
}
.gnt_vote_list_prb img 
{
    vertical-align: middle;
    margin-left: 10px;
}
.gnt_vote_list_prb span { display: inline-block; }
.gnt_vote_list_prb span.upVotes
{
    margin-right: 25px;
}

</style>

</div>
<?php  if ( $canVote ) { ?>
<script type="text/javascript">
	$(function(){
		if ( 'undefined' == typeof ( GntBallotBox ) ) return;
		var imagesArray = <?php echo json_encode($images)?>;
		GntBallotBox.registerWidget(
			<?php echo $bID?>, 
			new BallotBoxWidget("ballotBox_<?php echo $bID?>", imagesArray ),
			"<?php echo $akHandle?>", "<?php echo html_entity_decode( $this->action('json_vote') ) ?>", <?php echo $targetCID?>
		);
	});
</script>

<?php 
}
// vim: set expandtab cindent ts=4 smarttab ai:
