<?php  defined('C5_EXECUTE') or die('Access Denied.');
/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2015 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */

# Default image detection : DO NOT DELETE THIS COMMENT!
# IMAGE_UP_ON     thumbs4/on/thumbup-full-right.png	    thumbs4/on/thumbup-empty-right.png
# IMAGE_UP_OFF    thumbs4/off/thumbup-full-right.png	thumbs4/off/thumbup-empty-right.png
# IMAGE_DOWN_ON   thumbs4/on/thumbdn-full-right.png	    thumbs4/on/thumbdn-empty-right.png
# IMAGE_DOWN_OFF  thumbs4/off/thumbdn-full-right.png	thumbs4/off/thumbdn-empty-right.png

$link = $redirectLink ? $redirectLink : 'javascript:void(0)';
$hasLink = $canVote || $redirectLink;

?>
<div class="gnt_vote_list_ballotbox_simple_view" id="ballotBoxSimple_<?php echo $bID?>">
	<span class="votesComments"><?php echo $boxComment?></span>
	
	<span class="votes">
	<span class="upVotes"><?php echo $upVotes?></span>
	<?php  if($hasLink){?><a 
	href="<?php echo $link?>"
	<?php echo $redirectLink?'':"onclick=\"GntBallotBox.vote(1,$bID,$targetCID);return false;\""?>
	><?php  }?><img class="upVotes" src="<?php echo $imageUp?>"/><?php  if($hasLink){?></a><?php  }?>

	<span class="downVotes"><?php echo $downVotes?></span>
	<?php  if ($hasLink){?><a 
	href="<?php echo $link?>" 
	<?php echo $redirectLink?'':"onclick=\"GntBallotBox.vote(-1,$bID,$targetCID);return false;\""?>
	><?php  }?><img class="downVotes" src="<?php echo $imageDown?>"/><?php  if($hasLink){?></a><?php  }?>
	</span>
	<div style="clear:both"></div>

</div>
<style type="text/css">
#ballotBoxSimple_<?php echo $bID?> img { vertical-align: middle; }
#ballotBoxSimple_<?php echo $bID?> span.votes { font-size: 24px; float: right; }
#ballotBoxSimple_<?php echo $bID?> span.votes span { margin-left: 10px; }
</style>

<?php  if ( $canVote ) { ?>
<script type="text/javascript">
	$(function(){
		if ('undefined' == typeof(GntBallotBox)) return;
		var imagesArray = <?php echo json_encode($images)?>;
		GntBallotBox.registerWidget(
			<?php echo $bID?>, 
			new BallotBoxWidget("ballotBoxSimple_<?php echo $bID?>",imagesArray),
			"<?php echo $akHandle?>", "<?php echo html_entity_decode($this->action('json_vote')) ?>", <?php echo $targetCID?>
		);
		
	});
</script>
<?php 
}
// vim: set expandtab cindent ts=4 smarttab ai:
