<?php  defined('C5_EXECUTE') or die('Access Denied.');
/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2015 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */

# Default image detection : DO NOT DELETE THIS COMMENT !
# IMAGE_UP_ON     thumbs_gradient/on/thumbup-full-right.png	    thumbs_gradient/on/thumbup-empty-right.png
# IMAGE_UP_OFF    thumbs_gradient/off/thumbup-full-right.png	thumbs_gradient/off/thumbup-empty-right.png
# IMAGE_DOWN_ON   thumbs_gradient/on/thumbdn-full-left.png	    thumbs_gradient/on/thumbdn-empty-left.png
# IMAGE_DOWN_OFF  thumbs_gradient/off/thumbdn-full-left.png	    thumbs_gradient/off/thumbdn-empty-left.png

$total = $upVotes + $downVotes;
$percentUp = sprintf("%.2f", (100.0*$upVotes/($total?$total:1)));

$link = $redirectLink ? $redirectLink : 'javascript:void(0)';
$hasLink = $canVote || $redirectLink;

?>

<div class="two_sides_voting_box" id="ballotBox_<?php echo $bID?>">


<div class="votes">

	<div class="comment"><?php echo $boxComment?></div>

	<div class="votebox">
	<div class="left_part">
	<?php  if($hasLink){?><a 
	href="<?php echo $link?>"
	<?php echo $redirectLink?'':"onclick=\"GntBallotBox.vote(1,$bID,$targetCID);return false;\""?>
	><?php  }?><img class="upVotes" src="<?php echo $imageUp?>"/><?php  if($hasLink){?></a><?php  }?>
	</div>

	<div class="right_part">
	<?php  if ($hasLink){?><a 
	href="<?php echo $link?>" 
	<?php echo $redirectLink?'':"onclick=\"GntBallotBox.vote(-1,$bID,$targetCID);return false;\""?>
	><?php  }?><img class="downVotes" src="<?php echo $imageDown?>"/><?php  if($hasLink){?></a><?php  }?>
	</div>

	<div class="voteText">
		<span class="percentUpVotes"><span class="percentUp"><?php echo $percentUp?></span>%</span><br/>
		<span class="totalVotes">(<span class="total"><?php echo $total?></span> <?php echo t("Votes")?>)</span>
	</div>

	</div>
</div>
	<div style="clear:both;"></div>


<style>
.two_sides_voting_box
{
	font-size:20px;
	vertical-align: middle;
	text-align: left;
}
.two_sides_voting_box .votebox
{
	display: inline-block;
    background-color: #fafafa;
	border-radius:12px;
	-webkit-border-radius:12px;
	-moz-border-radius:12px;
	padding: 5px;
	border: 1px solid #333;
}
.two_sides_voting_box .voteText   
{ 
	display: inline-block; 
	text-align: center; 
	padding-left: 5px;
	padding-right: 5px;
	margin-left: 5px;
	margin-right: 5px;
	border-left: 1px solid #333;
	border-right: 1px solid #333;
}
.two_sides_voting_box .percentUpVotes  { font-weight: bold; }
.two_sides_voting_box .totalVotes      { font-size: 10px; color: #333; }
.two_sides_voting_box .left_part  { margin-top: 10px; float: left; }
.two_sides_voting_box .right_part { margin-top: 10px; float: right; }

.two_sides_voting_box .comment
{
    display: inline-block;
}

.two_sides_voting_box .votes { float: right; }

.two_sides_voting_box img 
{
    vertical-align: middle;
    margin-left: 10px;
}
.two_sides_voting_box span { display: inline-block; }
.two_sides_voting_box span.upVotes
{
    margin-right: 25px;
}

</style>

</div>
<?php  if ($canVote) { ?>
<script type="text/javascript">
	$(function(){
		if ('undefined' == typeof(GntBallotBox)) return;
		var imagesArray = <?php echo json_encode($images)?>;
		GntBallotBox.registerWidget(
			<?php echo $bID?>, 
			new BallotBoxWidget("ballotBox_<?php echo $bID?>", imagesArray ),
			"<?php echo $akHandle?>", "<?php echo html_entity_decode($this->action('json_vote'))?>", <?php echo $targetCID?>
		);
	});
</script>

<?php 
}
// vim: set expandtab cindent ts=4 smarttab ai:
