<?php  defined('C5_EXECUTE') or die('Access Denied.');
/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2015 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */

# Default image detection : DO NOT DELETE THIS COMMENT!
# IMAGE_UP_ON     thumbs4/on/thumbup-full-right.png	    thumbs4/on/thumbup-empty-right.png
# IMAGE_UP_OFF    thumbs4/off/thumbup-full-right.png	thumbs4/off/thumbup-empty-right.png
# IMAGE_DOWN_ON   thumbs4/on/thumbdn-full-right.png	    thumbs4/on/thumbdn-empty-right.png
# IMAGE_DOWN_OFF  thumbs4/off/thumbdn-full-right.png	thumbs4/off/thumbdn-empty-right.png
#
# syntax : IMAGE_<UP/DOWN>_<ON/OFF> image-full image-empty
# This comment is used by the controller to set the image variables
# and detect the default from the edition form, to create your own
# template you can either precise each image path in the comment
# (add a / to create an absolute path, otherwise the path is relative
# to the package images path), you can also directly sets the variables
# like this :
#
# $images = array ('up' => array('on' => array('full' => 'imageUrl', 'empty' => 'imageUrl'), ...), 'down' => array(...));
# $imageUp = 'imageUrl';
# $imageDown = 'imageUrl';


$link = $redirectLink ? $redirectLink : 'javascript:void(0)';
$hasLink = $canVote || $redirectLink;

?>

<div class="gnt_vote_list_ballotbox" id="ballotBox_<?php echo $bID?>">
	<span class="votesComments"><?php echo $boxComment?></span>

	<span class="votes">
	<span class="upVotes"><?php echo $upVotes?></span>
	<?php  if($hasLink){?><a
	href="<?php echo $link?>"
	<?php echo $redirectLink?'':"onclick=\"GntBallotBox.vote(1,$bID,$targetCID);return false;\""?>
	><?php  }?><img class="upVotes" src="<?php echo $imageUp?>"/><?php  if($hasLink){?></a><?php  }?>

	<span class="downVotes"><?php echo $downVotes?></span>
	<?php  if ($hasLink){?><a
	href="<?php echo $link?>"
	<?php echo $redirectLink?'':"onclick=\"GntBallotBox.vote(-1,$bID,$targetCID);return false;\""?>
	><?php  }?><img class="downVotes" src="<?php echo $imageDown?>"/><?php  if($hasLink){?></a><?php  }?>

	</span>

</div>

<?php  if ( $canVote ) { ?>
<script type="text/javascript">
	$(function(){
		if ('undefined' == typeof (GntBallotBox)) return;
		var imagesArray = <?php echo json_encode($images)?>;
		GntBallotBox.registerWidget(
			<?php echo $bID?>,
			new BallotBoxWidget("ballotBox_<?php echo $bID?>", imagesArray ),
			"<?php echo $akHandle?>", "<?php echo html_entity_decode( $this->action('json_vote') ) ?>", <?php echo $targetCID?>
		);
	});
</script>
<?php 
}
// vim: set expandtab cindent ts=4 smarttab ai:
