<?php  defined('C5_EXECUTE') or die('Access Denied.');
/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2015 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */

# IMAGE_UP_ON     small_triangles/on/up-full.png	small_triangles/on/up-empty.png
# IMAGE_UP_OFF    small_triangles/off/up-full.png	small_triangles/off/up-empty.png
# IMAGE_DOWN_ON   small_triangles/on/down-full.png	small_triangles/on/down-empty.png
# IMAGE_DOWN_OFF  small_triangles/off/down-full.png	small_triangles/off/down-empty.png

// WARNING: WE ARE RUNNING IN THE CONTROLLER SCOPE

$metID = "${bID}_$targetCID";
$divID = "ballotBoxList_$metID";

$link = $redirectLink ? $redirectLink : 'javascript:void(0)';
$hasLink = $canVote || $redirectLink;
?>
<div class="gnt_vote_list_voteWidget_upanddown" id="<?php echo $divID?>">

		<?php  if ($hasLink) {?><a 
		href="<?php echo $link?>"
		<?php echo $redirectLink?'':"onclick=\"GntBallotBox.vote(1,'$metID',$targetCID);return false;\""?>
		><?php  }?><img class="upVotes" style="display:inline-block; text-align:center; padding:0; margin-bottom: -5px" src="<?php echo $imageUp?>"/><?php  if($hasLink){?></a><?php  }?>
		<span class="upVotes"><?php echo $upVotes?></span>

		<span class="downVotes"><?php echo $downVotes?></span>
		<?php  if ($hasLink){?><a 
		href="<?php echo $link?>" 
		<?php echo $redirectLink?'':"onclick=\"GntBallotBox.vote(-1,'$metID',$targetCID);return false;\""?>
		><?php  }?><img class="downVotes" style="display:inline-block; text-align:center; padding:0; margin-top: -15px" src="<?php echo $imageDown?>"/><?php  if($hasLink){?></a><?php  }?>


	<?php  if ( $canVote ) { ?>
	<script type="text/javascript">
		$(function(){
			if ('undefined' == typeof(GntBallotBox)) return;
			var imageArray = <?php echo json_encode( $images ) ?>;
			GntBallotBox.registerWidget (
				"<?php echo $metID ?>", 
				new BallotBoxWidget("<?php echo $divID?>",imageArray ),
				"<?php echo $akHandle?>", "<?php echo html_entity_decode( $jsONVote ) ?>", <?php echo $targetCID?>
			);
		});
	</script>

	<?php  } ?>
</div>
<?php 
// vim: set expandtab cindent ts=4 smarttab ai:
