<?php 
defined('C5_EXECUTE') or die("Access Denied.");
/**
 *-----------------------------------------------------------------------------*
 *                                                                             *
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2015 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */

$form = \Core::make( 'helper/form' );
$ih   = \Core::make('helper/concrete/ui');

$action = $this->action('save_global_settings');
?>

<form id="filereader-global-settings" method="post" action="<?php echo $action?>">
	<fieldset>

		<div class="ccm-pane-body clearfix">

			<div class="clearfix form-group">
				<?php echo $form->label('maxList', t('Maximum list per page:') )?>
				<?php echo $form->number( 'maxList', $maxList )?>
			</div>

			<div class="text-muted">
				<?php echo t("This setting prevent a list to enter in infinite recursion in case the list actually include itself in the result.")?>
			</div>

			<p class="text-muted"><?php echo t("Setting this to 0 will disable the maximum check"); ?></p>
			<div class="alert alert-danger"><?php echo t("Don't disable recursion protection unless you %sreally%s know what you are doing (and at your own risks)", '<strong>', '</strong>');?></div>

		</div>
	</fieldset>

    <div class="ccm-dashboard-form-actions-wrapper">
		<div class="ccm-dashboard-form-actions">
			<?php echo  $ih->submit(t('Save'), 'save','right','btn-primary'); ?>
		</div>
	</div>

</form>

<?php  
// vim: set expandtab cindent ts=4 smarttab ai:
